zenilib: zenilib/jni/external/angle/src/compiler/BaseTypes.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Enumerations | Functions
BaseTypes.h File Reference

Go to the source code of this file.

## Enumerations

enum

TBasicType {
EbtVoid, EbtFloat, EbtInt, EbtBool,
EbtGuardSamplerBegin, EbtSampler2D, EbtSamplerCube, EbtSamplerExternalOES,
EbtSampler2DRect, EbtGuardSamplerEnd, EbtStruct, EbtAddress,
EbtInvariant
}

enum | TPrecision { EbpUndefined, EbpLow, EbpMedium, EbpHigh }

enum

TQualifier {
EvqTemporary, EvqGlobal, EvqConst, EvqAttribute,
EvqVaryingIn, EvqVaryingOut, EvqInvariantVaryingIn, EvqInvariantVaryingOut,
EvqUniform, EvqIn, EvqOut, EvqInOut,
EvqConstReadOnly, EvqPosition, EvqPointSize, EvqFragCoord,
EvqFrontFacing, EvqPointCoord, EvqFragColor, EvqFragData,
EvqFragDepth, EvqLast
}

## Functions

const char * | getBasicString (TBasicType t)
const char * | getPrecisionString (TPrecision p)
const char * | getQualifierString (TQualifier q)
bool | IsSampler (TBasicType type)

## Enumeration Type Documentation

enum TBasicType

Enumerator
EbtVoid |
EbtFloat |
EbtInt |
EbtBool |
EbtGuardSamplerBegin |
EbtSampler2D |
EbtSamplerCube |
EbtSamplerExternalOES |
EbtSampler2DRect |
EbtGuardSamplerEnd |
EbtStruct |
EbtAddress |
EbtInvariant |

Definition at line 36 of file BaseTypes.h.

enum TPrecision

Enumerator
EbpUndefined |
EbpLow |
EbpMedium |
EbpHigh |

Definition at line 13 of file BaseTypes.h.

enum TQualifier

Enumerator
EvqTemporary |
EvqGlobal |
EvqConst |
EvqAttribute |
EvqVaryingIn |
EvqVaryingOut |
EvqInvariantVaryingIn |
EvqInvariantVaryingOut |
EvqUniform |
EvqIn |
EvqOut |
EvqInOut |
EvqConstReadOnly |
EvqPosition |
EvqPointSize |
EvqFragCoord |
EvqFrontFacing |
EvqPointCoord |
EvqFragColor |
EvqFragData |
EvqFragDepth |
EvqLast |

Definition at line 81 of file BaseTypes.h.

## Function Documentation

const char* getBasicString | ( | TBasicType | t | ) |

inline

Definition at line 53 of file BaseTypes.h.

References EbtBool, EbtFloat, EbtInt, EbtSampler2D, EbtSampler2DRect, EbtSamplerCube, EbtSamplerExternalOES, EbtStruct, and EbtVoid.

Referenced by TType::getBasicString(), TParseContext::samplerErrorCheck(), and switch().

const char* getPrecisionString | ( | TPrecision | p | ) |

inline

Definition at line 22 of file BaseTypes.h.

References EbpHigh, EbpLow, and EbpMedium.

Referenced by TType::getPrecisionString(), and TOutputESSL::writeVariablePrecision().

const char* getQualifierString | ( | TQualifier | q | ) |

inline

Definition at line 120 of file BaseTypes.h.

References EvqAttribute, EvqConst, EvqConstReadOnly, EvqFragColor, EvqFragCoord, EvqFragData, EvqFragDepth, EvqFrontFacing, EvqGlobal, EvqIn, EvqInOut, EvqInvariantVaryingIn, EvqInvariantVaryingOut, EvqOut, EvqPointSize, EvqPosition, EvqTemporary, EvqUniform, EvqVaryingIn, and EvqVaryingOut.

Referenced by TType::getQualifierString(), TParseContext::paramErrorCheck(), TParseContext::structQualifierErrorCheck(), and switch().

bool IsSampler | ( | TBasicType | type | ) |

inline

Definition at line 70 of file BaseTypes.h.

References EbtGuardSamplerBegin, and EbtGuardSamplerEnd.

Referenced by sh::OutputHLSL::argumentString(), TParseContext::constructorErrorCheck(), TParseContext::containsSampler(), TDependencyGraph::getOrCreateSymbol(), sh::OutputHLSL::header(), TParseContext::parameterSamplerErrorCheck(), sh::OutputHLSL::registerString(), TParseContext::samplerErrorCheck(), sh::OutputHLSL::samplerRegister(), TSymbolTable::setDefaultPrecision(), sh::OutputHLSL::uniformRegister(), sh::OutputHLSL::visitAggregate(), ValidateLimitations::visitBinary(), and RestrictVertexShaderTiming::visitSymbol().